# Shared editor configuration <https://editorconfig.org>

# This is the top-most EditorConfig file which should apply to files below
root = true

[*]
charset = utf-8
insert_final_newline = true

[*.cxx]
indent_size = 2
indent_style = space

[*.{c,cpp,h}]
indent_size = 3
indent_style = space

[*.sh]
indent_size = 8
indent_style = tab
